Page MenuHomePhabricator

[Bug] [beta cluster] Add category doesn't update the UI
Closed, DuplicatePublic

Description

Steps to reproduce

  1. Login and enable beta
  2. Go to an add category page; e.g., https://en.m.wikipedia.beta.wmflabs.org/wiki/Barack_Obama#/categories/add
  3. Enter a new category; e.g., 1234
  4. Press save

Expected results

The category is immediately added

Actual results

The category is added but the UI doesn't update until it's closed and reopened

Environments observed

Browser Version:

    • Chromium v64.0.3282.167 (Official Build) Built on Ubuntu , running on Ubuntu 17.10 (64-bit)
  • Mobile web BETA mode

OS Version:

  • Ubuntu v17.10
  • Android v8.1.0

Device Model:

  • Desktop
  • Pixel XL

Device Language:

  • English

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 1 2018, 8:57 PM
Jdlrobson added a subscriber: Jdlrobson.

Are you sure it failed?
There is a lag between adding a category and it displaying.
T16312 might be the same issue here.

Jdlrobson triaged this task as Low priority.Mar 2 2018, 10:33 PM
Niedzielski renamed this task from [Bug] [beta cluster] Add category silently fails to [Bug] [beta cluster] Add category doesn't update the UI.Mar 5 2018, 4:18 PM
Niedzielski updated the task description. (Show Details)